Bug 443579 - traceback trying to add volume to VG with no selection
traceback trying to add volume to VG with no selection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 07:44 EDT by David Timms
Modified: 2009-08-26 22:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.1.9-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 22:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2008-04-22 07:44:01 EDT
Description of problem:
python traceback when clicking add to VG without a VG selected.

Version-Release number of selected component (if applicable):
system-config-lvm-1.1.4-1.0.fc9.noarch

How reproducible:
with a volume group created, and available unallocated volumes, yes.

Steps to Reproduce:
1. sy-co-lvm
2. unallocated volumes|/dev/sdX|partitionY
3. add to existing volume group
4. add
  
Actual results:
[starting terminal shows]
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 798, in
on_ok_add_pv_to_vg
    vgname = model.get_value(iter, NAME_COL)
TypeError: iter must be a GtkTreeIter

Expected results:
no traceback.

Additional info:
The app does not crash out, just displays the above traceback, seems harmless
enough.
You could default to the only existing vg selected {although click-happy mouser
might not realize what they did ;-) }

not sure if this happens when there are no VG's created at all.
Comment 1 Bug Zapper 2008-05-14 05:55:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:21:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 David Timms 2009-06-17 07:52:46 EDT
(In reply to comment #0)
> Version-Release number of selected component (if applicable):
system-config-lvm-1.1.4-5.1.fc11.noarch

> How reproducible:
> with a volume group created, and available unallocated volumes, yes.
This means you must have previously initialized a partition for use with lvm.

> Steps to Reproduce: easy reproducer ! (maybe more obvious with 2 VGs).
> 1. sy-co-lvm
> 2. unallocated volumes|/dev/sdX|partitionY
> 3. add to existing volume group
> 4. add
extra steps with current version:
5. cancel
6. add to existing volume group
7. add

> Actual results:
> [starting terminal shows] (still)
# system-config-lvm 
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 798, in on_ok_add_pv_to_vg
    vgname = model.get_value(iter, NAME_COL)
TypeError: iter must be a GtkTreeIter

> Expected results:
I nice dialogue explaining that the user needs to select a volume group to add the initialized partition into. Or better, disable the add button at dialog instantiation; clicking a VG enables the add button, deselecting all VGs disables the add button.
Comment 5 Fedora Update System 2009-08-20 18:50:52 EDT
system-config-lvm-1.1.9-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-lvm-1.1.9-1.fc11
Comment 6 Fedora Update System 2009-08-21 20:56:15 EDT
system-config-lvm-1.1.9-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-lvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8827
Comment 7 Fedora Update System 2009-08-26 22:15:32 EDT
system-config-lvm-1.1.9-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.